## debian-edu-install 0.659

=== Makefile ===
#
# Install file for Debian-Edu debconf override package
#

INSTALL     = install
INSTALL_DATA= install -m 644

libdir      = /usr/lib
baseconfdir = $(libdir)/base-config
templatedir = /usr/share/debconf/templates
pkglibdir   = $(libdir)/debian-edu-install
sbindir     = /usr/sbin
sysconfdir  = /etc

FRAGMENTS = 06debian-edu-questions 07debian-edu \
	11debian-edu-auto 16debian-edu-interactive \
	21debian-edu-auto 25debian-edu-insert-cd \
	60_avoid_pkgsel 65debian-edu-inst 76debian-edu-config \
	85debian-edu 87debian-edu-check \
	88debian-edu-reporterr 99zdebian-edu-reboot

COMMON    = debian-edu-common
INSTALLSCRIPT =  debian-edu-winbind

SBINFILES = \
	debconf-set-frontend \
	dpkg-selectforinstall \
	lvm-initialize-debian-edu

# Created using 'file * */*|grep Bourne|cut -d: -f1'
SCRIPTS = $(shell file * */*|grep Bourne|cut -d: -f1)

DEFAULTS = \
	common networked main-server workstation thin-client-server \
	standalone lessdisks ltsp-chroot

all: check
check: check-scripts check-autopartkit # check-defaults

install: 
	for b in $(FRAGMENTS); do \
	    $(INSTALL) base-config/$$b $(DESTDIR)$(baseconfdir)/$$b; \
	    chmod a+rx $(DESTDIR)$(baseconfdir)/$$b; \
	    if test -e base-config/$$b.templates; then \
		$(INSTALL_DATA) base-config/$$b.templates \
			$(DESTDIR)$(templatedir)/$$b.templates; \
	    fi; \
	done
	mkdir -p $(DESTDIR)/$(baseconfdir)/menu
	cp base-config/menu/*.mnu \
		base-config/menu/debian-edu-inst \
		base-config/menu/debian-edu-probe-cd \
		$(DESTDIR)/$(baseconfdir)/menu
	for lnk in base-config/menu/*.lnk; do \
	    base=`basename $$lnk .lnk`; \
	    ln -s `cat $$lnk` $(DESTDIR)/$(baseconfdir)/menu/$$base; \
	done
	for profile in $(DEFAULTS) ; do \
	    $(INSTALL_DATA) base-config/defaults.$$profile $(DESTDIR)$(pkglibdir)/; \
	done
	for file in $(COMMON) ; do \
	    $(INSTALL_DATA) base-config/$$file $(DESTDIR)$(pkglibdir)/; \
	done
	for file in $(INSTALLSCRIPT) ; do \
	    $(INSTALL) base-config/$$file $(DESTDIR)$(pkglibdir)/; \
	done
	for fil in $(SBINFILES); do \
	  $(INSTALL) tools/$$fil $(DESTDIR)$(sbindir)/$$fil; \
	done

debian-edu-profile.templates: debian/debian-edu-profile-udeb.templates
	(cd debian; po2debconf debian-edu-profile-udeb.templates) > $@

.PHONY: profile-demo
profile-demo: debian-edu-profile.templates
	chmod a+x ./debian-edu-profile
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./debian-edu-profile
	rm -f debian-edu-profile.templates

# This check need write access to the debconf database.
check-defaults:
	for profile in $(DEFAULTS) ; do \
	    tools/debconf-load-defaults -c base-config/defaults.$$profile; \
	done

# Check with small and large memory value, exit on failure
check-autopartkit:
	set -x ; for f in autopartkit/*.table ;do \
	    ./tools/autopartkit-check.pl $$f 64; \
	    ./tools/autopartkit-check.pl $$f 2048; \
	done

# Detect typos in /bin/sh scripts
check-scripts:
	for script in $(SCRIPTS) ; do \
		dash -n $$script ; \
	done

status:
	( for f in debian/po/*.po; do \
		echo -n $$f:; msgfmt --statistics $$f 2>&1 ; \
	done ) | egrep 'fuzzy|untranslated'
dist:
	debuild -us -uc

clean:
	$(RM) *~

=== debian/changelog ===
debian-edu-install (0.659) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Prepare few new release.

  [ Luk Claes ]
  * Added myself to uploaders.

 -- Luk Claes <luk@debian.org>  Wed, 22 Nov 2006 22:15:57 +0100

debian-edu-install (0.658) unstable; urgency=low

  [ Steffen Joeris ]
  * Preseed samba-common/dhcp question for using WINS settings from
    DHCP by enabling this feature for all networked profiles
  * Make sure that samba-common/dhcp is false on the main-server
    profile
  * Include French debconf translation (Closes: #393655)
  * Fix the description to erase the base-config entry (Closes: #392939)

  [ Ronny Aasen ]
  * Popcon question should be translated.
  * User must accept that we erase the hard drive to continue the installation,
    and we preseed all partman questions if user accepts
  * Added a new defaults file called ltsp-chroot with the sitesummary-client
    seeds. the thin-client-server uses this to preconfigure the ltsp chroot.
    Add ltsp-chroot preseeds here
  * Added the preseeds for automatic installation using the new partman
    templates partman-auto/method and partman-lvm/confirm
  * make partman commit.d script, that will feed partman with debian-edu's wanted
    mountoptions.

  [ Petter Reinholdtsen ]
  * Add preseeding for uswsusp/encrypt to avoid question during installation.
    Set to 'no' for now.
  * Add xserver-org preseeding to get it to use the same keyboard layout
    as debian-installer.
  * Preseed partman-auto/disk instead of partman-auto-lvm/disk, as the
    latter seem to have been removed from partman.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Nov 2006 14:00:30 +0100

debian-edu-install (0.657) unstable; urgency=low

  [ Ronny Aasen ]
  * Change popcon default to false
  * Tweaking the partition recipes
  * Add sitesummary client into the ltsp chroot
  * Add debian-edu artwork into the ltsp chroot

  [ Bart Cornelis (cobaco) ]
  * Updated Dutch translation

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Oct 2006 11:45:00 +0200

debian-edu-install (0.656) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix bug in firstboot script, making sure the kdm info is set before
    the kde frontend is started.
  * Fix bug in firstboot, now make sure it is removed even when
    errors are found.
  * Make sure the firstboot script isn't installed on upgrades, by
    setting the hidden debconf question to false when it is enabled.
  * Add preseeding of ifplugd on standalone profiles to enable it for eth0.
  * Moved test of network settings into the test suite in debian-edu-config.
  * Move code to create /etc/mailname from base-config script to the
    post-base-installer script.  Make sure it isn't set for standalone
    installations.
  * Major cleanup in the partition selection and preseeding code in
    debian-edu-profile.  Move some preseed values into the defaults.*
    files now that their values are seeded into both d-i and /target/.
  * Remove obsolete code in debian-edu-preseed to set DNS server.
  * Correct code to find distribution name in debian-edu-profile,
    making sure it also work for CD installs.
  * Preseed sitesummary collector URL for networked profiles.
  * Add generic preseed for components of our installer, needed when we have
    ltsp in local repo

  [ Ronny Aasen ]
  * Fix bug in the thin-client-server profile, for the enable-nat script
  * Making sure all flags are set, a unset flag breaks the case selection for
    automatic_partitioning.
  * Minor Alterations in logging output, to clarify whats going on.
  * Fixed bug in thin-client recipe file name
  * Fixed bug in case logic for the thin-client-server profile
  * Remove the redundant main+ltsp+ws recipe, use the main+ltsp
  * Bug in 94edultsp recipe, lost several partitions
  * Added dedicated /opt partition in ltsp profiles
  * Treat a d-i expert mode installation as a debian-edu-expert installation.
  * added a freespace partition in the recipes, while we wait for #385219
  * Ask and preseed the popcon question at profile time.
  * Preseed ltsp-client-builder  accept unsigned packages. until our cd
    signing work, adept our preseed to the new ltsp packages.
  * Enable ltsp-client-builder
  * Altering main+ltsp partman recipe, match minimum with real needs.
  * Add preseed for the new dhcp behavior notice in ltsp only installs.

  [ Steffen Joeris ]
  * Update danish translation, thanks to Claus Hindsgaul (Closes: #390317)

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  8 Oct 2006 20:10:21 +0200

debian-edu-install (0.655) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Let debian-edu-install-udeb depend on ltsp-client-builder, to build
    the ltsp chroot from d-i, and get a nice progress bar while it builds.
    Disable this while we wait for a better ltsp udeb.
  * Add code to report errors found during installation and from the
    test suite when the machine boot for the first time.  Depend on
    lsb-base for the init.d script output, and libqt-perl to get the
    kde debconf frontend working.  Disabled until it actually pop up
    over kdm.
  * Rewrite how parman recipees are selected, to reduce some
    complexity in the tests.
  * Remove obsolete code and template used to allow interactive installs.

  [ Ronny Aasen ]
  * Fixed Error in detecting single Workstation profile.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Sep 2006 17:13:56 +0200

debian-edu-install (0.654) unstable; urgency=low

  [ Steffen Joeris ]
  * Update the package URL and write whole sentences in the long
    descriptions (Closes: #383973)
  * Move the configuration of slbackup for comboservers into the
    installer and avoid using cfengine via debian-edu-config for that
    early installer part
  * Include debian-edu-version in the /etc/debian-edu/config file
  * Add code to update the Version via the postinst script due to
    upgrades
  * Add code to debian-edu-profile for preseeding enable-nat script


=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>
Build-Depends: debhelper (>= 4.1.13)
Build-Depends-Indep: po-debconf (>= 0.5.0), dpkg-dev (>= 1.9), dash
Standards-Version: 3.7.2

Package: debian-edu-install
Architecture: all
Depends: debconf (>= 0.2.26) | debconf-2.0, debconf-utils, debian-edu-config (>= 0.380), lsb-base, libqt-perl
Replaces: base-config-skolelinux
Provides: base-config-skolelinux
Conflicts: base-config-skolelinux (<= 0.557)
Description: Set d-i values to install Debian-Edu without questions
 This package provides default answers for packages using debconf, and 
 configures services to work out of the box after an installation.
 .
 This is part of the Debian Edu project,
 <URL:http://wiki.debian.org/DebianEdu>.

Package: debian-edu-profile-udeb
Architecture: all
Section: debian-installer
Depends: localechooser, kbd-chooser
XB-Installer-Menu-Item: 24
Description: Choose Debian-Edu profile
 This package provides a profile chooser for the Debian installer.
 .
 This is part of the Debian-Edu project,
 <URL:http://wiki.debian.org/DebianEdu>.

Package: debian-edu-install-udeb
Architecture: all
Section: debian-installer
Depends: debian-edu-profile-udeb, autopartkit, clock-setup, tzsetup-udeb, user-setup-udeb, base-installer, pkgsel, bootable-system, cdebconf-udeb, ltsp-client-builder, multiseat-udeb, finish-install
XB-Installer-Menu-Item: 10
Description: Execute Debian-Edu debian-installer profile
 This package forces the installer to choose the menu items we want to 
 use in debian-installer.  This is done by making this package appear 
 very early in the menu, and depending on the required packages in
 sequence.
 .
 This is part of the Debian-Edu project, 
 <URL:http://wiki.debian.org/DebianEdu>.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PART_TABLES = \
	Main-Server+Thin-Client-Server.table \
	Main-Server+Workstation.table \
	Main-Server.table \
	Workstation+Thin-Client-Server.table \
	Workstation.table \
	Standalone.table \
	Barebone.table

DEFAULTS = \
	common networked main-server workstation thin-client-server \
	standalone lessdisks ltsp-chroot

INSTALL      = install -m0755
INSTALL_DATA = install -m0644

PACKAGES=$(shell dh_listpackages)

INSTALLUDEB=debian-edu-install-udeb
PROFILEUDEB=debian-edu-profile-udeb
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH=all
INSTALLUDEBFILENAME=$(INSTALLUDEB)_$(VERSION)_$(ARCH).udeb
REPORTBUGUDEBFILENAME=$(REPORTBUGUDEB)_$(VERSION)_$(ARCH).udeb
PROFILEUDEBFILENAME=$(PROFILEUDEB)_$(VERSION)_$(ARCH).udeb

build:
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install-common: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

install-debian-edu-install: install-common
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debian-edu-install
	cp debian/debian-edu-install.lintian-override $(CURDIR)/debian/debian-edu-install/usr/share/lintian/overrides/debian-edu-install
	$(INSTALL) -d $(CURDIR)/debian/debian-edu-install/lib/debian-edu-install/
	$(INSTALL) debian/debian-edu-install.firstboot $(CURDIR)/debian/debian-edu-install/usr/lib/debian-edu-install/firstboot

.PHONY: install-debian-edu-profile-udeb
install-debian-edu-profile-udeb: install-common
	$(INSTALL) debian-edu-aptkey-setup $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/base-installer.d/99debian-edu-aptkey-setup
	$(INSTALL) debian-edu-preseed $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/post-base-installer.d/10debian-edu-preseed
	$(INSTALL) debian-edu-add_local_apt $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/post-base-installer.d/90debian-edu-add_local_apt
	$(INSTALL) debian/debian-edu-profile-udeb.prebaseconfig $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/finish-install.d/19debian-edu-profile-udeb
	$(INSTALL) autopartkit/20debian-edu $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/autopartkit.d/20debian-edu
	$(INSTALL) apt-setup/generators/70debian-edu-install $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/apt-setup/generators/70debian-edu-install
	for profile in $(DEFAULTS) ; do \
	    $(INSTALL_DATA) base-config/defaults.$$profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install ; \
	done
	$(INSTALL_DATA) lib/partman/recipes/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/recipes
	$(INSTALL_DATA) lib/partman/commit.d/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/commit.d
	for table in $(PART_TABLES) ; do \
	    $(INSTALL_DATA) autopartkit/$$table \
	    $(CURDIR)/debian/debian-edu-profile-udeb/etc/autopartkit/$$table ; \
	done
	$(INSTALL) debian-edu-profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin
	touch $(CURDIR)/debian/debian-edu-profile-udeb/etc/uselvm

# Build architecture-independent files here.
binary-indep: install debian-edu-install debian-edu-install-udeb debian-edu-profile-udeb

debian-edu-install-udeb: # install-debian-edu-install-udeb
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@ -n
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -n$(INSTALLUDEBFILENAME)
	dh_builddeb -p$@ --filename=$(INSTALLUDEBFILENAME)

.PHONY: debian-edu-profile-udeb
debian-edu-profile-udeb: install-debian-edu-profile-udeb
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@ -n
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	# Make sure the autopartkit.d templates are normal files.  udpkg do
	# not understand conffiles at the moment.
	rm debian/$(PROFILEUDEB)/DEBIAN/conffiles
	dh_gencontrol -p$@ -- -n$(PROFILEUDEBFILENAME)
	dh_builddeb -p$@ --filename=$(PROFILEUDEBFILENAME)

debian-edu-install: install-debian-edu-install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@
	dh_installdocs -p$@
	dh_installexamples -p$@
	dh_installmenu -p$@
	dh_installcron -p$@
	dh_installman -p$@
	dh_installinfo -p$@
	dh_installchangelogs -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## debian-edu-install 0.664

=== debian/changelog ===
debian-edu-install (0.664) unstable; urgency=low

  [ Steffen Joeris ]
  * Make sure that it is not possible to select the Standalone profile
    together with any other profile (Closes: #420921)
    - Introduce debian-edu-install/standalone_only template note to
      warn if the selection was wrong
    - Include a check after the first check_profiles() and keep it in
      a loop as long as the profile selection is incorrect

  [ Guillem Jover ]
  * Added new Catalan translated string.
    Thanks to René Mérou <ochominutosdearco@gmail.com>
  * Updated Catalan translation, and fixed the mess done with the
    automatic merging from popularity-contest and debian-installer.

  [ Holger Levsen ]
  * Added myself to uploaders.
  * Improved german translation of the word 'barebone'.
  * Shortened Depends: for debian-edu-install-udeb, to fix the
    bootloader-installer problem on powerpc. We now have a working CD
    for powerpc!

  [ Ronny Aasen ]
  * Fix bug in autopartition when booting with debian expert.
  * Disable the use of the mirror chooser when installing from
    dvd. And enable it when we boot from cd and have network.
  * Increase size of /usr to fix more packages from the dvd.
  * Install  debian-edu-archive-keyring inside the ltsp chroot.
  * Increase size of /var to support netinstalls (Closes Skolelinux
    bug #1044)
  * Add netcfg to debian-edu-install-udeb, to get working network
    during a cd installation.
  * Add presseds to debian-edu-profile, so that we get the correct
    skolelinux repo when we are installing from cd+network.
  * Ugly hack with debian-edu-install-udeb.isinstallable, purpose: to
    disable netcfg for the dvd install.
  * Install debian-edu-archive-keyring early, incase we are
    netinstalling.
  * Enable network mirrors for the cd install.
  * Preseed slbackup-php
  * Add lv /var/opt/ltsp/swapfiles for combined servers.
  * Install ltspfsd by default inside the ltsp chroot.
  * Install lsof in the ltsp chroot.
  * Removed the dependency on the nonexsisting, in etch, multiseat.A
  * Overwrite netcfg.postinst,  on the dvd install.

  [ Petter Reinholdtsen ]
  * Report the status on the security.debian.org connection
    check to the log.
  * Add code to undo the installer menu renumbering when releasing for
    terra/etch.
  * Rewrite apt-setup/generators/70debian-edu-install to check for
    working network access before bailing out, to make sure the
    security mirror setting is unset when the network isn't available.
  * Modify the code disabling the mirror chooser to also trigger when
    there is no network.
  * Fix typo in apt-setup/use_mirror preseeding in defaults.common.
  * Drop autopartkit from the debian-edu-install-udeb dependency list,
    as we use partman as the default d-i install now.
  * Reintroduced a few debian-edu-install-udeb dependencies, to make sure
    the time zone and root password is set in the installation.
  * Update versions stored in debian-edu/config from terra_pre02 to
    terra_test04.
  * Add preseeding of cpufrequtils.
  * Change udeb postinst to install xresprobe instead of replaced
    kudzu-vesa, and drop installation of obsolete package devfsd, and
    drop installation of udev and libtext-iconv-perl now handled by
    the default d-i installation.
  * Change our network configuration for standalone installations to
    use allow-hotplug to integrate better with network-manager.
  * Remove obsolete code loading kernel modules, converting ext2->ext3
    and starting devfs.
  * Drop the dns-search entry from network/interfaces for Standalone
    installations.
  * Improve laptop detection using code from laptop-detect.
  * Add preseeding to populate the munin config using data from sitesummary.
  * Add preseeding of netcfg for networked profiles in the isinstallable
    script to avoid redundant question about hostname and dns domain.
  * Clean up finish-install.d script, removing unused and obsolete parts.
  * Make sure to only restart the network configuration at the end of the
    installation if no network exist, to get ssh installs working properly.
  * Add localization-config-udeb as a depend for debian-edu-install-udeb,
    to make sure the installation is properly i18n.

  [ Finn-Arne Johansen ]
  * Fixed mirror setup when using netboot installation
  * Add etch-test local mirror for now when using netboot installation

  [ Patrick Winnertz ]
  * Avoid question of scsiadd and install it per default without non-suid.
    (Closes Skolelinuxbug: #1171)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Jun 2007 15:13:15 +0100

debian-edu-install (0.663) unstable; urgency=low

  [ Ronny Aasen ]
  * Fixed a minor error in d-e-profile, that broke the install.
  * Avoid asking about autpartitioning when installing standalone.
  * Avoid asking for network mirror.
  * Add partman recipes for powerpc-prep

  [ Petter Reinholdtsen ]
  * Set the debconf title before asking it the disk should be erased and
    if popcon should be used, to avoid having a misleading title in g-i.
  * Show the expert menu when wiping the hard drive is rejected.
  * Remove db_fset on xserver-xorg/config/display/modes to check if it
    is ineffective or not.

  [ Steffen Joeris ]
   * Really integrate the German debconf translation, which got somehow
     missed out during the last upload (Closes: 411410)

  [ Patrick Winnertz ]
  * Avoid asking to disable the rootaccount in expert installation.
    (Closes Skolelinuxbug: #1134)

  [ Luk Claes ]
  * Multiply installer menu items by 100 (Closes: #418608, #418610).

 -- Luk Claes <luk@debian.org>  Tue, 10 Apr 2007 22:25:04 +0200

debian-edu-install (0.662) unstable; urgency=low

  [ Steffen Joeris ]
  * Update Czech debconf translation (Closes: #408652)
    Thanks to Miroslav Kure
  * Update German debconf translation (Closes: #411410)
    Thanks to Jens Seidel

  [ Ronny Aasen ]
  * Adding recipes for powermac_newworld
  * Removing primary on /boot for powermac_newworld


## debian-edu-install 0.667

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	standalone lessdisks ltsp-chroot
 
 all: check
-check: check-scripts check-autopartkit # check-defaults
+check: check-scripts # check-autopartkit check-defaults
 
 install: 
 	for b in $(FRAGMENTS); do \
@@ -96,6 +96,13 @@
 		dash -n $$script ; \
 	done
 
+minimum-diskreq:
+	echo "Minimum disk requirements, in MiB:"
+	for profile in lib/partman/recipes*/* ; do \
+	  echo -n "$$profile	" ; \
+	  grep '^[0-9]' $$profile |awk '{ sum=sum+$$1} END { print sum }' ; \
+	done
+
 status:
 	( for f in debian/po/*.po; do \
 		echo -n $$f:; msgfmt --statistics $$f 2>&1 ; \

=== debian/changelog ===
debian-edu-install (0.667) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Avoid sending the user to the d-i menu when automatic partition
    is rejected.
  * Modified the minimum partition sizes for main-server+workstation
    installs to make sure there is enough free space based on numbers
    collected on i386.  Size changes in MiB: / 100->128, /boot 50->64,
    /usr 3348->3456, /var 900->1024, /skole/tjener/home0 100->128,
    /skole/backup 32->64.
  * Change the user agent to "Debian Edu d-i <distribution>" when
    fetching URL to check if the network is working, as it is more
    descriptive.
  * Modified the minimum partition sizes for thin-client-server
    installs to make sure there is enough free space based on numbers
    collected on i386.  Size changes in MiB: / 500->128, /boot
    50->128, /usr 3348->3392, /var 900->1024, /var/opt/ltsp/swapfiles
    192->64, /opt 1500->640.  Adjust maximum partition sizes to make
    them bigger than the minimum sizes.
  * Modified the minimum partition sizes for workstation installs to
    make sure there is enough free space based on numbers collected on
    i386.  Size changes in MiB: / 1400->1152, /boot 50->128, /usr
    3348->3392.  Adjust maximum partition sizes to make them bigger
    than the minimum sizes.
  * Set the version to rc5 in /etc/debian-edu/config.
  * Make sure to set the hostname during installation when the
    hostname is determined by debian-edu-preseed.  Use DNS name for
    the current IP address if the network is working.
  * Clean up partitioning code, allowing automatic partitioning
    with the Standalone profile, now that it work to say no to
    automatic partitioning.
  * Updated Norwegian Bokmål translation.
  * Updated German from Maximilian Wilhelm.
  * Removed email address of Sven Kromminga from nds.po, as it bounced.
  * Removed email address of quad-nrg.net from el.po, as it bounced.
    Cleaned up the file a bit.
  * Remove cruft from id.po.
  * Updated Japanese (ja) translations from Kenshi Muto. (Closes: #433785)
  * Modify barebone handling to install the new barebone tasksel task
    instead of presenting the tasksel menu during installation.

  [ Steffen Joeris ]
  * Include initial Indonesian debconf translation (id)
    Thanks to Arief S Fitrianto.
  * Include updated Swedish debconf translation (Closes: #433769)
    Thanks to Daniel Nylander

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 20 Jul 2007 17:12:42 +0200

debian-edu-install (0.666) unstable; urgency=low

  * Change URL to check in debian-edu-profile to a smaller file.
    Set the user agent to "Debian Edu d-i <suite>" when fetching it.
  * Update French translation from Cyril Brulebois. (Closes: 432889)
  * Switch to manual partitioning if automatic partitioning was declined, 
    instead of looping endlessly.  (Closes: 421120)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 12 Jul 2007 22:54:59 +0200

debian-edu-install (0.665) unstable; urgency=low

  [ Steffen Joeris ]
  * Set the version to rc3 in /etc/debian-edu/config.
  * Include updated Vietnamese debconf translation (Closes: #430627)
    Thanks to Clytie Siddall
  * Include patch to blacklist the eth1394 module to block firewire
    during the first installer run (Closes skolelinux bug #1202)
    Thanks to Daniel Heß
  * Include updated Czech debconf translation (Closes: #431281) Thanks
    to Miroslav Kure
  * Include updated Portuguese debconf translation (Closes: #431015)
    Thanks to Miguel Figueiredo

  [ Petter Reinholdtsen ]
  * Preseed debian-edu-config/etc-in-svk to enable version tracking
    of /etc/ by default.
  * Fix usplash bug in debian-edu-test-install.  Based on patch from
    Jose L. Redrejo.  (Closes skolelinux bug #1204)
  * Ignore error messages like 'Fontconfig error:' when checking the
    installation log for errors until bug #422980 in ttf-dejavu is
    solved.
  * Change version upgrade code in the postinst to not fail when
    /etc/debian-edu/config is missing.
  * Rename rc1.d/K01usplash to rc1.d/S80usplash during installation as
    a workaround for skolelinux bug #1164 (usplash bug #431560).
  * Increase the minimum /usr partition size with 800 MiB for all
    profiles including the standalone packages, to cope with the
    packages proposed by José L. Redrejo Rodríguez.
  * Disable the check of autopartkit rules during build.  We use
    partman now.
  * Change URL used in debian-edu-profile to check if the network
    is working to use the same APT mirror as the other URLs.
  * Modified the i386 and amd64 minimum partition sizes for
    main-server installs while making sure there is at least 15% disk
    free based on numbers collected on i386.  Size changes in MiB:
    /boot 50->64, /usr 1465->767, /var 900->400, /var/spool/squid
    128->64, /skole/backup 32->64.
  * Reduced the maximum size for /skole/tjener/home0 for all profiles
    from 10 TiB to 20 GiB and increase the maximum free size in the
    LVM volume group from 20 GiB to 1000 TiB.  With online resizing and
    the debian-edu-fsautoresize script available, it is very easy to
    extend at run time.
  * Modified the i386 and amd64 minimum partition sizes for
    main-server+thin-client-server installs while making sure there is
    free based on numbers collected on amd64.  Size changes in MiB: /
    100->112, /boot 50->64, /usr 3600->3620, /opt 700->640,
    /var/opt/ltsp/swapfiles 192->92, /var/spool/squid 128->64,
    /skole/backup 32->64.
  * Remove lsof from the list of packages to install in the LTSP
    client environment.  It is now a dependency of ltspfsd.
  * Reduce partition priority of /var/ in the main-server install from
    3000 to 2000, to get it closer to the other partitions and thus
    let there be more free LVM space left.
  * Set the version to rc4 in /etc/debian-edu/config.

  [ Klaus Ade Johnstad ]
  * Increase the maximum /opt partition size to cope with the packages
    proposed by José L. Redrejo Rodríguez when


=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>
-Build-Depends: debhelper (>= 4.1.13)
-Build-Depends-Indep: po-debconf (>= 0.5.0), dpkg-dev (>= 1.9), dash
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>
+Build-Depends: debhelper (>= 4.1.13), po-debconf (>= 0.5.0)
+Build-Depends-Indep: dpkg-dev (>= 1.9), dash
 Standards-Version: 3.7.2
 
 Package: debian-edu-install
@@ -24,7 +24,7 @@
 Architecture: all
 Section: debian-installer
 Depends: localechooser, kbd-chooser
-XB-Installer-Menu-Item: 24
+XB-Installer-Menu-Item: 2400
 Description: Choose Debian-Edu profile
  This package provides a profile chooser for the Debian installer.
  .
@@ -34,8 +34,8 @@
 Package: debian-edu-install-udeb
 Architecture: all
 Section: debian-installer
-Depends: debian-edu-profile-udeb, autopartkit, clock-setup, tzsetup-udeb, user-setup-udeb, base-installer, pkgsel, bootable-system, cdebconf-udeb, ltsp-client-builder, multiseat-udeb, finish-install
-XB-Installer-Menu-Item: 10
+Depends: netcfg, debian-edu-profile-udeb, clock-setup, tzsetup-udeb, user-setup-udeb, pkgsel, ltsp-client-builder, multiseat-udeb, localization-config-udeb
+XB-Installer-Menu-Item: 1000
 Description: Execute Debian-Edu debian-installer profile
  This package forces the installer to choose the menu items we want to 
  use in debian-installer.  This is done by making this package appear

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# TARGET_DIST is one of stable, sarge, etch, terra, unstable, fetch
+# from the changelog
+TARGET_DIST = $(shell head -1 debian/changelog |awk '{print $$3}'|tr -d ';')
 
 PART_TABLES = \
 	Main-Server+Thin-Client-Server.table \
@@ -35,6 +39,7 @@
 	$(MAKE)
 
 clean:
+	debconf-updatepo
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
@@ -65,6 +70,8 @@
 	    $(INSTALL_DATA) base-config/defaults.$$profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install ; \
 	done
 	$(INSTALL_DATA) lib/partman/recipes/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/recipes
+	$(INSTALL_DATA) lib/partman/recipes-powerpc-powermac_newworld/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/recipes-powerpc-powermac_newworld
+	$(INSTALL_DATA) lib/partman/recipes-powerpc-prep/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/recipes-powerpc-prep
 	$(INSTALL_DATA) lib/partman/commit.d/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/commit.d
 	for table in $(PART_TABLES) ; do \
 	    $(INSTALL_DATA) autopartkit/$$table \
@@ -83,8 +90,14 @@
 	dh_strip -p$@
 	dh_compress -p$@
 	dh_fixperms -p$@
+	cp debian/debian-edu-install-udeb.isinstallable debian/debian-edu-install-udeb/DEBIAN/isinstallable
+	chmod +x debian/debian-edu-install-udeb/DEBIAN/isinstallable
 	dh_installdeb -p$@
 	dh_gencontrol -p$@ -- -n$(INSTALLUDEBFILENAME)
+ifeq ($(TARGET_DIST),terra)
+	sed -i -e 's/^Installer-Menu-Item: \(.*\)00$$/Installer-Menu-Item: \1/' \
+		debian/debian-edu-install-udeb/DEBIAN/control
+endif
 	dh_builddeb -p$@ --filename=$(INSTALLUDEBFILENAME)
 
 .PHONY: debian-edu-profile-udeb
@@ -100,6 +113,10 @@
 	# not understand conffiles at the moment.
 	rm debian/$(PROFILEUDEB)/DEBIAN/conffiles
 	dh_gencontrol -p$@ -- -n$(PROFILEUDEBFILENAME)
+ifeq ($(TARGET_DIST),terra)
+	sed -i -e 's/^Installer-Menu-Item: \(.*\)00$$/Installer-Menu-Item: \1/' \
+		debian/debian-edu-profile-udeb/DEBIAN/control
+endif
 	dh_builddeb -p$@ --filename=$(PROFILEUDEBFILENAME)
 
 debian-edu-install: install-debian-edu-install

## debian-edu-install 0.669

=== Makefile ===
--- 
+++ 
@@ -67,6 +67,7 @@
 	for fil in $(SBINFILES); do \
 	  $(INSTALL) tools/$$fil $(DESTDIR)$(sbindir)/$$fil; \
 	done
+	$(INSTALL_DATA) version $(DESTDIR)$(pkglibdir)
 
 debian-edu-profile.templates: debian/debian-edu-profile-udeb.templates
 	(cd debian; po2debconf debian-edu-profile-udeb.templates) > $@
@@ -105,8 +106,8 @@
 
 status:
 	( for f in debian/po/*.po; do \
-		echo -n $$f:; msgfmt --statistics $$f 2>&1 ; \
-	done ) | egrep 'fuzzy|untranslated'
+		echo -n $$f:; LANG=C msgfmt --statistics -o /dev/null $$f 2>&1 ; \
+	done ) | egrep 'fuzzy|untranslated' || true
 dist:
 	debuild -us -uc

=== debian/changelog ===
debian-edu-install (0.669) unstable; urgency=low

  [ Ronny Aasen ]
  * Removed d-e-i-udeb's dependency on multiseat-udeb, since it's not in any of
    the repositories.
  * Place debian-edu-profile-udeb's menu item after clock-setup. Trying to
    make it be selected by the menu.

  [ Petter Reinholdtsen ]
  * Add preseeding value to activate dependency based boot sequencing.
  * Add preseeding for libnss-ldapd.
  * Add partman recipe for barebone install, to allow a quicker installation
    of the barebone profile.  Separate minimal /, /boot/, /var/ and /usr/,
    and the rest as unused LVM space.
  * Add code in debian/debian-edu-profile-udeb.prebaseconfig to remove the
    debianedufreespace logical volume.

  [ Patrick Winnertz ]
  * Fix even more hardcoded releasenames to use lenny.

  [ Christian Perrier ]
  * Consistent spelling of "Debian Edu" in debconf templates. Translations
    unfuzzied. Closes: #434098
  * Better wording of one template. Closes: #453676

  [ Translations ]
  * Updated Catalan by Guillem Jover.
  * German. Closes: #434097, #478730
  * Russian. Closes: #434198, #479140
  * Updated Dutch by Bart Cornelis.
  * Galician. Closes: #478586
  * Czech. Closes: #478806
  * Vietnamese. Closes: #479006
  * Portuguese. Closes: #479421
  * Turkish. Closes: #479753
  * Indonesian. Closes: #479701, #479700, #479699

  [ Holger Levsen ]
  * Suppress lintian warnings about no postrm script for 
    /etc/init.d/xdebian-edu-firstboot, about it not being marked as a conffile
    and it not being included in the package
  * Correct spelling of Debian Edu in debian/control
  * Remove empty directories /usr/share/debconf/templates/ and add a lintian
    override for the empty dir /lib/debian-edu-install/
  * Add copyright notice in debian/copyright
  * Remove debian/po/id.po as it contained no translations at all
  * Added a dependency to debconf for the debian-edu-install and 
    debian-edu-profile udebs

 -- Holger Levsen <holger@debian.org>  Sat, 10 May 2008 08:51:16 +0200

debian-edu-install (0.668) unstable; urgency=low

  [ Finn-Arne Johansen ]
  * try not to add dns-search intern to dhcp-clients
    (closes skolelinux #1293)
  * Set type of value when preseeding group prefix for lwat

  [ Petter Reinholdtsen ]
  * Avoid non-POSIX -a option to test in debian-edu-preseed.
  * Allow debian-edu-etc-svk update to fail in the postinst, to get
    the lenny installer limping along.
  * Flag with XXX apt-setup fragment that need to be updated for
    Lenny.

  [ Holger Levsen ]
  * updated danish translation by Jonas Smedegaard

  [ Patrick Winnertz ]
  * Add new value for lwat to be preseeded.
  * Added myself to the uploaders
  * Bump standards Version to 3.7.3
  * Add Homepage field to control

  [ Ronny Aasen ]
  * loading partman-lvm packages early, to provide templates for
    preseeding in profilechooser.
  * Disable preseeding first disk since /dev/discs are gone missing.
  * Preseed partman-lvm/device_remove_lvm, since the key have moved.
  * update defaults.thin-client-server for lenny
  * Trying to get users to actualy read, and think about, the popcon
    question. By removing the default selection for our popcon question.

 -- Patrick Winnertz <winnie@debian.org>  Thu, 07 Feb 2008 10:12:48 +0100

debian-edu-install (0.667.1+svn39522) terra; urgency=low

  [ Holger Levsen ]
  * Makefile: use C locale within status target, so that the egrep works as
    expected. Always return true on this egrep, even if the last .po is
    completly translated.  :-)
  * Updated italien translation thanks to Claudio Carboncini.
  * Updated finish translation thanks to Lars Wirzenius.
  * Updated polish translation thanks to Bartosz Fenski.
  * Updated greek translation thanks to Faidon Liambotis.
  * Updated catalan translation thanks to Miguel Gea Milvaques.

  [ Petter Reinholdtsen ]
  * Make sure to close file descriptor 3 when restarting the network, as
    a workaround for skolelinux bug #1229.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  2 Dec 2007 10:14:05 +0100

debian-edu-install (0.667.1+svn39277) terra; urgency=low

  * Fix postinst to upgrade version string '3.0r0 terra' to '3.0r1 terra'.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Nov 2007 18:45:01 +0100

debian-edu-install (0.667.1+svn39198) terra; urgency=low

  * Backport to Debian Edu/Etch.

  [ Luk Claes ]
  * Remove myself from uploaders.

  [ Morten Werner Forsbring ]
  * Changed my last name.
  * Add /root/.svk to the default backup set (fixes Skolelinux bug #1272).
  * Preseed debian-edu-config/enable-nat to enable NAT on the thin-client
    servers (fixes Skolelinux bug #1266).
  * Update the changelog to document fixing of bug #1266.

  [ Petter Reinholdtsen ]
  * Adjust user agent string used during installation to include
    the Debian Edu suite and architecture information.
  * Update German translation from Helge Kreutzmann. (Closes: #434097)
  * Make sure to only try to load the dpt_i2o kernel module for PCI
    device 1044:a511 (and not the i2o_core module), to avoid boot
    problem after the install.  (Closes skolelinux bug #484 and #1254)
  * Try harder to only load dpt_i2o for PCI device 1044:a511.  Make sure the
    modprobe.d/blacklist entries are passed into /target/ as well.
  * Only load dpt_i2o for PCI device 1044:a501, as it seem to be
    supported by i2o_core too.
  * Move modprobe.d fragment from file blacklist to
    debian-edu-install, to avoid conflict with the udev package.
  * Change dpt_i2o handling code to only trigger when the dpt_i2o
    kernel module is present, to try to make it forward compatible
    with the planned fix in Debian.
  * Move current version string to
    /usr/lib/debian-edu-install/version, to avoid duplicating it in
    both debian-edu-preseed and debian/debian-edu-install.postinst.
  * Make sure to upgrade Debian Edu version string from the 'alpha',
    'test' and 'pre' versions too.


=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Patrick Winnertz <winnie@debian.org>
Build-Depends: debhelper (>= 4.1.13), po-debconf (>= 0.5.0)
Build-Depends-Indep: dpkg-dev (>= 1.9), dash
Standards-Version: 3.7.3
Homepage: http://www.skolelinux.org

Package: debian-edu-install
Architecture: all
Depends: debconf (>= 0.2.26) | debconf-2.0, debconf-utils, debian-edu-config (>= 0.380), lsb-base, libqt-perl
Replaces: base-config-skolelinux
Provides: base-config-skolelinux
Conflicts: base-config-skolelinux (<= 0.557)
Description: Set d-i values to install Debian Edu without questions
 This package provides default answers for packages using debconf, and 
 configures services to work out of the box after an installation.
 .
 This is part of the Debian Edu project,

Package: debian-edu-profile-udeb
Architecture: all
Section: debian-installer
Depends: localechooser, kbd-chooser, debconf
XB-Installer-Menu-Item: 3700
Description: Choose Debian Edu profile
 This package provides a profile chooser for the Debian installer.
 .
 This is part of the Debian Edu project,

Package: debian-edu-install-udeb
Architecture: all
Section: debian-installer
Depends: netcfg, debian-edu-profile-udeb, clock-setup, tzsetup-udeb, user-setup-udeb, pkgsel, ltsp-client-builder, localization-config-udeb, debconf
XB-Installer-Menu-Item: 1000
Description: Execute Debian Edu debian-installer profile
 This package forces the installer to choose the menu items we want to 
 use in debian-installer.  This is done by making this package appear 
 very early in the menu, and depending on the required packages in
 sequence.
 .
 This is part of the Debian Edu project,

=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,7 @@
 	done
 	$(INSTALL) debian-edu-profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin
 	touch $(CURDIR)/debian/debian-edu-profile-udeb/etc/uselvm
+	$(INSTALL) version $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install
 
 # Build architecture-independent files here.
 binary-indep: install debian-edu-install debian-edu-install-udeb debian-edu-profile-udeb
